# Google Cloud Logging API . projects . logServices

## Instance Methods

Returns the indexes Resource.

Returns the sinks Resource.

Lists the log services that have log entries in this project.

Retrieves the next page of results.

### Method Details

`list(projectsId, log=None, pageSize=None, pageToken=None, x__xgafv=None)`

    Lists the log services that have log entries in this project.

    Args:
      projectsId: string, Part of `projectName`. The resource name of the project whose services are to be listed. (required)
      log: string, If empty, all log services contributing log entries to the project are listed. Otherwise, this field must be the resource name of a log, such as `"projects/my-project/appengine.googleapis.com%2Frequest_log"`, and then the only services listed are those associated with entries in the log. A service is associated with an entry if its name is in the entry's `LogEntryMetadata.serviceName` field.
      pageSize: integer, The maximum number of `LogService` objects to return in one operation.
      pageToken: string, An opaque token, returned as `nextPageToken` by a prior `ListLogServices` operation. If `pageToken` is supplied, then the other fields of this request are ignored, and instead the previous `ListLogServices` operation is continued.
      x__xgafv: string, V1 error format.

    Returns:
      An object of the form:

        { # Result returned from `ListLogServicesRequest`.
        "nextPageToken": "A String", # If there are more results, then `nextPageToken` is returned in the response. To get the next batch of services, use the value of `nextPageToken` as `pageToken` in the next call of `ListLogServices`. If `nextPageToken` is empty, then there are no more results.
        "logServices": [ # A list of log services.
          { # _Output only._ Describes a service that writes log entries.
            "indexKeys": [ # A list of the names of the keys used to index and label individual log entries from this service. The first two keys are used as the primary and secondary index, respectively. Additional keys may be used to label the entries. For example, App Engine indexes its entries by module and by version, so its `indexKeys` field is the following: [ "appengine.googleapis.com/module_id", "appengine.googleapis.com/version_id" ]
              "A String",
            ],
            "name": "A String", # The service's name. Example: `"appengine.googleapis.com"`. Log names beginning with this string are reserved for this service. This value can appear in the `LogEntry.metadata.serviceName` field of log entries associated with this log service.
          },
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.